Loading...
Searching...
No Matches
mcdlutil.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | OpenBabel

## Macros

#define | NELEMMCDL 121

## Functions

int | hydrogenValency (int na)
int | maxValency (int na)
int | alternate (OBMol *pmol, const int nH[], int bondOrders[])
int | alternate (const std::vector< int > aPosition, const std::vector< int > aCharge, const std::vector< int > aRad, const std::vector< int > nHydr, const std::vector< int > iA1, const std::vector< int > iA2, std::vector< int > &bondOrders, int nAtoms, int nBonds)
void | generateDiagram (OBMol *pmol)
void | generateDiagram (const std::vector< int > iA1, const std::vector< int > iA2, std::vector< double > &rx, std::vector< double > &ry, int nAtoms, int nBonds)
void | generateDiagram (OBMol *pmol, std::ostream &ofs)
bool | fragmentSearch (OBMol *query, OBMol *structure)

bool

fragmentSearch (const std::vector< int > aPositionQuery, const std::vector< int > iA1Query, const std::vector< int > iA2Query, const std::vector< int > bondTypesQuery, const std::vector< int > aPositionStructure, const std::vector< int > iA1Structure, const std::vector< int > iA2Structure, const std::vector< int > bondTypesStructure, int nAtomsQuery, int nBondsQuery, int nAtomsStructure, int nBondsStructure)

void | equivalenceList (OBMol *pmol, std::vector< int > &eqList)
void | equivalenceList (const std::vector< int > aPosition, const std::vector< int > aCharge, const std::vector< int > aRad, const std::vector< int > iA1, const std::vector< int > iA2, const std::vector< int > bondTypes, std::vector< int > &eqList, int nAtoms, int nBonds)
void | addFragment (OBMol *molecule, OBMol *fragment, int molAN, int fragAN, int molBN, int fragBN, bool isAddition)
void | createStereoLists (OBMol *pmol, std::vector< int > &bondStereoList, std::vector< int > &atomStereoList, std::vector< int > &eqList)
std::string | getAtomMCDL (OBMol *pmol, int ntatoms, const std::vector< int > ix, const std::vector< int > aNumber, const std::vector< int > atomStereoList, const std::vector< int > eqList)
std::string | getBondMCDL (OBMol *pmol, int nbStore, int ntatoms, const std::vector< int > ix, const std::vector< int > aNumber, int bonds[MAXBONDS][4], const std::vector< int > bondStereoList, const std::vector< int > eqList)
void | implementAtomStereo (std::vector< int > &iA1, std::vector< int > &iA2, std::vector< int > &stereoBonds, const std::vector< double >rx, const std::vector< double > ry, int acount, int bcount, std::string astereo)
void | implementBondStereo (const std::vector< int > iA1, const std::vector< int > iA2, std::vector< double > &rx, std::vector< double > &ry, int acount, int bcount, std::string bstereo)
int | groupRedraw (OBMol *pmol, int bondN, int atomN, bool atomNInGroup)
int | canonizeMCDL (const std::string atomBlock, std::vector< std::string > &structureList)
bool | parseFormula (const std::string formulaString, std::vector< int > &enumber, int &valency)
void | prepareTest (OBMol *pmol, std::ostream &ofs)

## Variables

static const int | MAXBONDS =300
static const int | MAXFRAGS =200
static const int | MAXCHARS =1000
static const int | MAX_DEPTH =10
static const int | NELEMMAX =120

## Detailed Description

2D molecule coordinate generation.

## Macro Definition Documentation

## NELEMMCDL

#define NELEMMCDL 121

Referenced by OpenBabel::hydrogenValency(), OpenBabel::maxValency(), and OpenBabel::parseFormula().